//---------------------------------------------------------------------------
// File: TMainForm.h, TDx_Library, How the Components Work - Part 3
//
// Date: 16th January, 2004
// Author: Darren John Dwyer
// Copyright: (c) 2002-2004 Darren John Dwyer, All Rights Reserved.
//
// Description:
// The TDx_Library interface components have automatic error detection using the
// OnError() event, which can be used to detect and identify and handle DirectX
// runtime errors.
//
// This application shows how to use the OnError() event.
//
//---------------------------------------------------------------------------
#ifndef TMainFormH
#define TMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include "TDx_Sound.h"
#include "TDx_SoundBuffer.h"
#include "TDSBufferDesc.h"
//---------------------------------------------------------------------------
#define MAX_DEVICES 256
//---------------------------------------------------------------------------
#if (__BORLANDC__ < 0x0530) // BCB Version 1
class TMainForm : public TForm
{
#else // BCB Version 3+
class PACKAGE TMainForm : public TForm
{
#endif

__published:
//---------------------------------------------------------------------------
// Anything that is to be displayed within the Object Inspector
//---------------------------------------------------------------------------

    TMemo *StatusMemo;
    TDx_Sound *Dx_Sound1;
    TDx_SoundBuffer *Dx_SoundBuffer1;
    TDSBufferDesc *DSBufferDesc1;
	TLabel *Label1;
	TPanel *Panel1;
	TLabel *Label23;
	TGroupBox *GroupBox1;
	TLabel *Label3;
	TLabel *Label9;
	TLabel *Label10;
	TLabel *Label11;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label18;
	TLabel *Label19;
	TLabel *Label22;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label13;
	TLabel *Label2;
	TLabel *Label12;
	TLabel *Label14;
	TLabel *Label15;
	TLabel *Label16;
	TLabel *Label17;
	TLabel *Label20;
	TBitBtn *TestButton;
	TBitBtn *QuitButton;
	TLabel *Label21;
	TLabel *Label24;
	void __fastcall TestButtonClick(TObject *Sender);
	void __fastcall Dx_SoundBuffer1BufferLost(TObject *Sender);
	void __fastcall Dx_SoundBuffer1Error(TObject *Sender, AnsiString Function,
	AnsiString Error, AnsiString ErrorMessage);
	void __fastcall QuitButtonClick(TObject *Sender);
    void __fastcall Dx_Sound1Create(TObject *Sender);

	void __fastcall FormDestroy(TObject *Sender);
public:
//---------------------------------------------------------------------------
// Anything available to other classes and/or code
//---------------------------------------------------------------------------

    __fastcall TMainForm(TComponent* Owner);
    virtual __fastcall ~TMainForm();

protected:
//---------------------------------------------------------------------------
// Anything available only to classes descended from this class
//---------------------------------------------------------------------------

private:
//---------------------------------------------------------------------------
// Private data not accessible except from within this class
//---------------------------------------------------------------------------

	bool Attempted_Retry;
};
//---------------------------------------------------------------------------
#if (__BORLANDC__ < 0x0530) // BCB Version 1
extern TMainForm *MainForm;
#else // BCB Version 3+
extern PACKAGE TMainForm *MainForm;
#endif
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------

